commit:     989f5747c6845c252e893686086f4452df94d9c5
Author:     Jakov Smolic <jakov.smolic <AT> sartura <DOT> hr>
AuthorDate: Tue Jan 12 09:36:53 2021 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Tue Jan 12 09:36:53 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=989f5747

sys-auth/fprintd: Fix build with gcc-10

* Disable static-libs

Closes: https://github.com/gentoo/gentoo/pull/18965
Closes: https://bugs.gentoo.org/764077
Signed-off-by: Jakov Smolic <jakov.smolic <AT> sartura.hr>
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 .../fprintd/files/fprintd-0.8.1-fno-common.patch   | 44 ++++++++++++++++++++++
 sys-auth/fprintd/fprintd-0.8.1-r3.ebuild           | 21 ++++++-----
 2 files changed, 56 insertions(+), 9 deletions(-)

diff --git a/sys-auth/fprintd/files/fprintd-0.8.1-fno-common.patch 
b/sys-auth/fprintd/files/fprintd-0.8.1-fno-common.patch
new file mode 100644
index 00000000000..ba4574fce60
--- /dev/null
+++ b/sys-auth/fprintd/files/fprintd-0.8.1-fno-common.patch
@@ -0,0 +1,44 @@
+--- a/src/device.c
++++ b/src/device.c
+@@ -47,6 +47,7 @@ static char *fingers[] = {
+       "right-little-finger"
+ };
+ 
++extern struct storage store;
+ extern DBusGConnection *fprintd_dbus_conn;
+ 
+ static void fprint_device_claim(FprintDevice *rdev,
+--- a/src/file_storage.c
++++ b/src/file_storage.c
+@@ -44,6 +44,7 @@
+ #define FP_FINGER_IS_VALID(finger) \
+       ((finger) >= LEFT_THUMB && (finger) <= RIGHT_LITTLE)
+ 
++extern struct storage store;
+ static char *get_path_to_storedir(uint16_t driver_id, uint32_t devtype, char 
*base_store)
+ {
+       char idstr[5];
+--- a/src/main.c
++++ b/src/main.c
+@@ -34,6 +34,7 @@
+ #include "storage.h"
+ #include "file_storage.h"
+ 
++struct storage store;
+ extern DBusGConnection *fprintd_dbus_conn;
+ static gboolean no_timeout = FALSE;
+ static gboolean g_fatal_warnings = FALSE;
+--- a/src/storage.h
++++ b/src/storage.h
+@@ -41,10 +41,7 @@ struct storage {
+       storage_discover_prints discover_prints;
+ };
+ 
+-typedef struct storage fp_storage;
+-
+-/* The currently setup store */
+-fp_storage store;
++extern struct storage store;
+ 
+ #endif
+ 

diff --git a/sys-auth/fprintd/fprintd-0.8.1-r3.ebuild 
b/sys-auth/fprintd/fprintd-0.8.1-r3.ebuild
index 897c45965ff..42c82b1510e 100644
--- a/sys-auth/fprintd/fprintd-0.8.1-r3.ebuild
+++ b/sys-auth/fprintd/fprintd-0.8.1-r3.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
@@ -13,25 +13,28 @@ 
SRC_URI="https://cgit.freedesktop.org/libfprint/${PN}/snapshot/${MY_PV}.tar.bz2
 LICENSE="GPL-2"
 SLOT="0"
 KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~sparc ~x86"
-IUSE="doc pam static-libs"
+IUSE="doc pam"
 
 RDEPEND="
        dev-libs/dbus-glib
        dev-libs/glib:2
        sys-auth/libfprint:0
        sys-auth/polkit
-       pam? ( sys-libs/pam )
-"
+       pam? ( sys-libs/pam )"
 DEPEND="${RDEPEND}"
 BDEPEND="
        dev-libs/dbus-glib
        dev-util/gtk-doc
        dev-util/gtk-doc-am
        dev-util/intltool
-       doc? ( dev-libs/libxml2 dev-libs/libxslt )
-"
+       doc? (
+               dev-libs/libxml2
+               dev-libs/libxslt
+       )"
 
-S=${WORKDIR}/${MY_PV}
+S="${WORKDIR}"/${MY_PV}
+
+PATCHES=( "${FILESDIR}"/${P}-fno-common.patch )
 
 src_prepare() {
        default
@@ -42,8 +45,8 @@ src_prepare() {
 
 src_configure() {
        econf \
+               --disable-static \
                $(use_enable pam) \
-               $(use_enable static-libs static) \
                $(use_enable doc gtk-doc-html) \
                --with-systemdsystemunitdir="$(systemd_get_systemunitdir)"
 }
@@ -54,7 +57,7 @@ src_install() {
 
        keepdir /var/lib/fprint
 
-       find "${ED}" -type f -name "*.la" -delete || die
+       find "${ED}" -name '*.la' -delete || die
 
        dodoc AUTHORS NEWS README{,.transifex} TODO
        newdoc pam/README README.pam_fprintd

Reply via email to